#include <iostream>
#include <fstream>
#include <cstdlib>
#include <ctime>

using namespace std;

const int MAX_N = 150000;
const int U = 3;

int n;

int turn[MAX_N][U];
int turnCover;

int notepad[MAX_N][2];

void minTurn(int t, int s, int isCover);

int minT;

void addTurn(int t1, int a, int b);
void remTurn(int t1, int a, int b);
void editTurn(int t1, int a, int b, int v);

int main(int argc, char** argv) {

	minT = MAX_N;
	turnCover = 0;

	ifstream fin("input.txt");

	fin >> n;

	for(int i = 0; i < MAX_N; i++) {
		notepad[i][0] = -1;
		notepad[i][1] = -1;
	}

	int a, b;

	for(int i = 0; i < n; i++) {
		fin >> a >> b;
		turn[i][0] = a;
		turn[i][1] = b - 1;
		turn[i][2] = 0;
	}

	minTurn(0, 0, 0);

	//cout << "------------\n";

	//cout << minT << "\n";

	// x dopo..
	ofstream fout("output.txt");
	fout << minT;
	fout.close();

	return 0;

}

void minTurn(int t, int s, int isCover) {
// dato il turno t cerca di assegnare s soldati e di trovarne il minimo

	/*if(notepad[t][isCover] != -1) {
		minT = notepad[t][isCover];
		return;
	}*/

	if(turnCover == n) { 
		minT = min(minT, s);
		notepad[t][isCover] = minT;
		return;
	}

	// ho finito di testare tutti i turni
	if(t >= n) {
		// ho coperto tutte le singole ronde
		if(turnCover == n) { 
			minT = min(minT, s);
			notepad[t][isCover] = minT;
		}
		return;
	}

	// se il turno non è coperto
	if(turn[t][2] == 0) {
		// lo copro
		addTurn(t, turn[t][0], turn[t][1]);
		// cerco il minimo considerando quel turno
		minTurn(t+1, s+1, 0);
		// le scopro
		remTurn(t, turn[t][0], turn[t][1]);
	}

	// cerco il minimo senza considerare il turno in esame
	minTurn(t+1, s, 1);

}

void addTurn(int t1, int a, int b) {editTurn(t1, a, b, 1);}
void remTurn(int t1, int a, int b) {if(turn[t1][2] > 0)editTurn(t1, a, b, -1);}

void editTurn(int t1, int a, int b, int v) {

	int t = t1;

	// marca quelli in avanti
	while(turn[t][0] <= b && t < n) {
		turnCover+=v;
		turn[t][2]+=v;
		t++;
	}

	t = t1;

	// marco quelli indietro
	while(turn[t][1] >= a && t >= 0) {
		turnCover+=v;
		turn[t][2]+=v;
		t--;
	}

	turnCover-=v;
	turn[t1][2]-=v;

}



















