/* 	Luca Brunelli   
	id374054
	19/6/2014
*/

#include <stdio.h>
#include <iostream>
#include <stdio.h>
#include <cstdlib>
#include <cassert>
#include <fstream>
using namespace std;
int N; // numero di navi ( e numero di messaggi inviati)
int M; // numero complessivoi di possibili corrispondenze fra messaggi e navi


int main(){
	ifstream fin("input.txt"); assert(fin);
	fin >> N; // leggo il numero di navi
	fin >> M; // leggo il numero di corrispondenze trovate
	int vett[M][4]; // vettore con tutte le corrispondenze (le prime N sono univoche)
	for(int i=0; i<M; i++){
		vett[i][0] = 0;
		fin >> vett[i][1];
		fin >> vett[i][2];
		vett[i][3] = 0;
	}
	fin.close();

	/*
	////////////////////////////////////////////////////////// DEBUG ////////////////////////////////////////////////////////////////
	// provqa di stampa INPUT
	cout << " N = " << N << " M = " << M << endl;
	for(int i=0; i<M; i++){
		cout << vett[i][0] << " " << vett[i][1] << " " << vett[i][2] << " " << vett[i][3] << endl;
	}
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	*/

	bool contr[N][2];
	for(int i=0; i<N; i++){
		contr[i][0] = false; //sx
		contr[i][1] = false; //dx
	} 

	for(int i=N; i<M; i++){
		if(contr[vett[i][1]][0]==false && contr[vett[i][2]][1]==false){
			contr[vett[i][1]][0] = true;
			contr[vett[i][2]][1] = true;
			vett[i][0] = 1;
			vett[i][3] = 1;
		}
	}
	/*
	////////////////////////////////////////////////////////// DEBUG ////////////////////////////////////////////////////////////////
	// 
	cout << endl;
	cout << "Parto da N fino a M" << endl;
	for(int i=0; i<M; i++){
		cout << vett[i][0] << " " << vett[i][1] << " " << vett[i][2] << " " << vett[i][3] << endl;
	}
	cout << "Matrice di controllo" << endl;
	for(int i=0; i<N; i++){
		cout << contr[i][0] << " " << contr[i][1]  << endl;
	}
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	*/
	for(int i=0; i<N; i++){
		if(contr[vett[i][1]][0]==false && contr[vett[i][2]][1]==false){
			contr[vett[i][1]][0] = true;
			contr[vett[i][2]][1] = true;
			vett[i][0] = 1;
			vett[i][3] = 1;
		}
	}

	int sum_sx = 0;
	int sum_dx = 0;
	for(int i = 0; i<M; i++){
		sum_sx = sum_sx + vett[i][0];
		sum_dx = sum_dx + vett[i][3];
	}
	int sum_initial_sx = 0;
	int sum_initial_dx = 0;
	for(int i = 0; i<N; i++){
		sum_initial_sx = sum_initial_sx + vett[i][0];
		sum_initial_dx = sum_initial_dx + vett[i][3];
	}
	/*
	////////////////////////////////////////////////////////// DEBUG ////////////////////////////////////////////////////////////////
	//
	cout << endl;
	cout << "Parto da 0 fino a N" << endl;
	for(int i=0; i<M; i++){
		cout << vett[i][0] << " " << vett[i][1] << " " << vett[i][2] << " " << vett[i][3] << endl;
	}
	cout << "Matrice di controllo" << endl;
	for(int i=0; i<N; i++){
		cout << contr[i][0] << " " << contr[i][1]  << endl;
	}
	cout << " SOMMA SX: "<< sum_sx << " SOMMA DX: " << sum_dx << endl;
	cout << " SOMMA INIZIALE SX: "<< sum_initial_sx << " SOMMA INIZIALE DX: " << sum_initial_dx << endl;
	
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	*/
	

	int vett_sx[N];
	int vett_dx[N];
	if((sum_sx==N && sum_dx==N) && (sum_initial_sx!=N && sum_initial_sx!=N)){ 


		// devo ordinare l'output per numero di messaggio
		

			/*
		int cont = 0;
		int num_mess = 0;
		for(int j=0; j<N; j++){
			num_mess = j;
			for(int i=0; i<M; i++){
				if(vett[i][1]==num_mess){
					if(vett[i][0]==1){
						vett_sx[cont] = vett[i][1];
						vett_dx[cont] = vett[i][2];
						cont++;
					}
				}
			}			
		}
			*/
		int cont = 0;
		for(int i=0; i<M; i++){
			if(vett[i][0] == 1){
				vett_sx[vett[i][1]] = vett[i][1];
				vett_dx[vett[i][1]] = vett[i][2];
				cont++; 
			}
		}
			
		
		/*
		////////////////////////////////////////////////////////// DEBUG ////////////////////////////////////////////////////////////////
		// provqa di stampa INPUT
		cout << endl;
		cout << "OK" << endl;
		cout << "Risultato" << endl;
		for(int i=0; i<N; i++){
			cout << vett_sx[i] << " " << vett_dx[i]  << endl;
		}
		/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		*/
	}
	ofstream fout("output.txt"); assert(fout);
	if((sum_sx==N && sum_dx==N) && (sum_initial_sx!=N && sum_initial_sx!=N)){ 
		
		for(int i=0; i<N; i++){
			fout << vett_sx[i] << " ";
			fout << vett_dx[i];
			fout << endl;
		}
	}else{
		fout << -1;
	}
	fout.close();

	



}// fine main

