#include <cstdlib>
#include <fstream>
//#include <iostream>
#include <cassert>

using namespace std;

#define MAX_P 150001
#define MAX_N 150000

int N;
int a[MAX_N];
int b[MAX_N];

int padrun(int i, int n, int k) {

  if (i == N) return 0;
  if (!(a[k] <= a[i] && a[i] <= b[k])
    && !(a[i] <= a[k] && a[k] <= b[i]))
  return MAX_P;
  return min(
    1 + padrun(i+1, b[i], i+1),
    padrun(i+1, i+1, i)); 
}   

int main() {

  ifstream fin("input.txt"); 
  assert(fin);
  fin >> N; 
  for(int i = 0; i < N; i++)
    fin >> a[i] >> b[i];
  fin.close();
  ofstream fout("output.txt"); 
  assert(fout);
  fout << padrun(0, a[0], a[0]);
  fout.close();
  return 0;
}
