// PROBLEMA "torri"

#include <cassert>
#include <fstream>

using namespace std;

const int MAX_N = 1000;
const int MAX_H = 1000;
const int MAX_C = 50000;

int ntorri;
int h[MAX_N];
int c[MAX_N];
int totalcost = 0;
int partialcost=0;
int compsolution=0;

void calcola(int index)
{
	for(int i=index+1; i<ntorri; i++)
		if(h[i]<h[index])
		{
			partialcost += c[i];
			calcola(i);
			if(partialcost>compsolution) compsolution = partialcost;
			partialcost -= c[i];
		}

	return;
}

int main()
{
	ifstream fin("input.txt"); assert(fin);
	ofstream fout("output.txt"); assert(fout);

	fin>>ntorri; assert(0<ntorri); assert(ntorri<=MAX_N);

	for(int i=0; i<ntorri; i++)
	{
		fin>>h[i]; assert(0<h[i]); assert(h[i]<=MAX_H);
		fin>>c[i]; assert(0<c[i]); assert(c[i]<=MAX_C);
        totalcost+=c[i];
	}

    if(ntorri==1) { fout<<"0"; return 0; }
    if(ntorri==2 && h[0]<h[1]) {fout<<min(c[0], c[1]); return 0; }

	for(int i=0; i<ntorri; i++) { partialcost=c[i]; calcola(i); }

    fout<<(totalcost-compsolution);

    fin.close();
    fout.close();

    return 0;
}
