#include<cstdio>
#include <vector>
#include <fstream>
#include <cassert>

using namespace std;

vector<int> graph[200000];//lista di adiacenza del grafo
int N, M;
int parent[200000];//array dei padri 
bool isancestor[200000];
vector<int> cycle;//vettore che contiene il ciclo trovato
int new_match[100000];

//funzione che cerca un ciclo
int dfs(int n, int d){
  parent[n]=d+1;
  isancestor[n]=true;
  int l=graph[n].size();
  for(int i=0; i<l;i++){
    if(isancestor[graph[n][i]]){
      cycle.push_back(graph[n][i]);
      int a=n;
      cycle.push_back(a);
      while(a!=graph[n][i]){
	a=parent[a]-1;
	cycle.push_back(a);
      }
      return true;//ho trovato un ciclo
    }
    if(parent[graph[n][i]])
      continue;
    if(dfs(graph[n][i],n))
      return true;
  }
  isancestor[n]=false;
  return false;
}

int print(){
ofstream fout("output.txt"); assert(fout);
  for(int i=0;i<N;i++){
    while(i<N && parent[i])
      i++;
    if(i<N && dfs(i,i)){
      for(unsigned i=1; i<cycle.size();i++)
	if(cycle[i-1]<N)
	  new_match[cycle[i-1]]=cycle[i];
      for(int i=0;i<N;i++)
	if(!new_match[i])
	  new_match[i]=graph[i][0];
      for(int i=0;i<N;i++)
	fout << i << new_match[i]-N << endl;
      fout.close();
      return 0;
    }
    
  }
  fout <<-1 << endl;//se non ho trovato cicli, stampo -1 e esco
  fout.close();
  return 0;
}

int main(){
ifstream fin("input.txt"); assert(fin);
 fin >> N >> M;

 for(int i=0;i<M;i++){
    int s,t;
    fin >> s >> t;
    t+=N;
    if(i<N)
      graph[s].push_back(t);
    else
      graph[t].push_back(s);      
  }
 fin.close();
 int print();
 return 0;  
}
