#include <iostream>
#include <fstream>
#include <sstream>
#include <string>
#include <vector>

using namespace std;

vector<int> univoco();
void casuale();

vector< vector<int> > Navi;
vector< vector<int> > Mess;
vector<int> RM;

#define NMAX 100000
#define MMAX 200000

int N,M;

ofstream out ("output.txt");

int main(){

    ifstream in ("input.txt");
    in >> N >> M;
    RM.resize(N);
    for(int i=0; i<N; i++){
        Navi.push_back(vector <int>());
        Mess.push_back(vector <int>());
        RM.push_back(-1);
    }
    for(int i=0; i<M; i++){
                int x=0;
                int y=0;
                in >> x >> y;
                Mess[x].push_back(y);
                Navi[y].push_back(x);
    }
    in.close();

    for(int i=0; i<N; i++){
        if(Mess[i].empty() || Navi[i].empty()){
               out << -1;
               return -1;
            }
        }

    vector<int> uni(2);
    int v=0;
    while(!uni.empty()){
        uni=univoco();
        int mess=uni[1];
        int nave=uni[0];
        RM[mess]=nave;
        uni.clear();
        v=1;
    }
    if (v==1){
        casuale();
        for(int i=0; i<N; i++){
            if(RM[i]==-1){
               out << -1;
               return -1;
            }
        }
    }else out << -1;
    for(int i=0; i<N; i++){
        for(int j=i+1; j<N; j++){
            if(RM[i]==RM[j]){
                out << -1;
                return -1;
            }
        }
    }
    for(int i=0; i<N; i++){
        out << i << " " << RM[i] << "\n";
    }

// controllo preliminare
/*    for(int i=0; i<N; i++){
        for(int j=0; j<Navi[i].size(); j++){
                out << Navi[i][j] << " ";
        }
        out << "\n";
    }*/
    out.close();
}

vector<int> univoco(){
    vector <int> X(2);
    X.clear();
    for(int i=0; i<N; i++){
        if(Navi[i].size()==1){
            int j=Navi[i].back();
            Navi[i].pop_back();
            Mess[j].clear();
            for(int k=0; k<N; k++){
                for(int z=0; z<Navi[k].size(); z++){
                    if(Navi[k][z]==j) Navi[k].erase(Navi[k].begin()+z);
                }
            }
            X.push_back(i);
            X.push_back(j);
            return X;
        }
    }
    for(int i=0; i<N; i++){
        if(Mess[i].size()==1){
            int j=Mess[i].back();
            Mess[i].pop_back();
            Navi[j].clear();
            for(int k=0; k<N; k++){
                for(int z=0; z<Mess[k].size(); z++){
                    if(Mess[k][z]==j) Mess[k].erase(Mess[k].begin()+z);
                }
            }
            X.push_back(j);
            X.push_back(i);
            return X;
        }
    }
    return X;
}


void casuale(){
    vector<int> uni(2);

    for(int i=0; i<N; i++){
        if(!Navi[i].empty()){
            int j=Navi[i].back();
            Navi[i].clear();
            Mess[j].clear();
            for(int k=0; k<N; k++){
                for(int z=0; z<Navi[k].size(); z++){
                    if(Navi[k][z]==j) Navi[k].erase(Navi[k].begin()+z);
                }
            }
            RM[j]=i;
        }
        while(!uni.empty()){
            uni=univoco();
            int mess=uni[1];
            int nave=uni[0];
            RM[mess]=nave;
            uni.clear();
        }
    }
}
