// PROBLEMA "convoglio"

#include <cassert>
#include <fstream>
#include <vector>

using namespace std;

const int MAX_P = 200000;
const int MAX_ADJ = 200000;
const int MAX_S = 100000;

int n;
int m;
int percorso[MAX_P];
int scritto[MAX_S];
vector<int> adj[MAX_ADJ];

int calcola(int v)
{
	if(percorso[v])
	{
		if(v<MAX_S) return 1;
		else return 0;
	}

	percorso[v]=1;
	
	int trov=0;
	for(int u=0; u<(int)(adj[v].size()); u++){
		trov=calcola(adj[v][u]);
		if(trov==1 && v>=MAX_S) {scritto[adj[v][u]]=1;}
		if(trov==1 && v<MAX_S && scritto[v]) trov=2;
		if(trov) {percorso[v]=0; return trov;}
	}
	percorso[v]=0;
	return 0;
}

int main()
{

    ifstream fin("input.txt"); assert(fin);
    ofstream fout("output.txt"); assert(fout);

	fin>>n>>m;

	int num=0;
	for(int i=0; i<m; i++){
		num++;
		int a,b; fin>>a>>b; b+=MAX_S;
		if(num<=n) adj[a].push_back(b);
		else adj[b].push_back(a);
	}

	num=0; int trov=0;
	while(num<n && !trov) { trov = calcola(num); num++; }

	if(!trov) fout<<(-1);
	else for(int i=0; i<n; i++) fout<<i<<" "<<adj[i][0]-MAX_S<<endl;
	
	fout.close();

	return 0;
}
