#include<fstream>
#include<iostream>

#define MAX_N 1000
#define UNDEF -1

using namespace std;

int N;
int H[MAX_N];
int C[MAX_N];
int MEM[MAX_N][MAX_N];

int solve(int torre,int altezza){
  
  int lascia,demolisci;

  if( torre == 0 ){
    if( MEM[torre+1][H[0]] == UNDEF )
      lascia = MEM[torre+1][H[0]] = solve( torre+1, H[0] );
    else
      lascia = MEM[torre+1][H[0]];

    if( MEM[torre+1][0] == UNDEF )
      demolisci = MEM[torre+1][0] = solve( torre+1, 0 );
    else
      demolisci = MEM[torre+1][0];
      
    return min(lascia,C[0]+demolisci);
  }

  if( torre == N-1 )
    if( H[torre]>altezza ) return 0;
    else return C[torre];

  if( H[torre]>altezza ){
    if( MEM[torre+1][H[torre]] == UNDEF )
      lascia = MEM[torre+1][H[torre]] = solve( torre+1, H[torre] );
    else
      lascia = MEM[torre+1][H[torre]];

    if( MEM[torre+1][altezza] == UNDEF )
      demolisci = MEM[torre+1][altezza] = solve( torre+1, altezza );
    else
      demolisci = MEM[torre+1][altezza];   

    return min(lascia,C[torre]+demolisci);

  }else{
    
    if( MEM[torre+1][altezza] == UNDEF )
      demolisci = MEM[torre+1][altezza] = solve( torre+1, altezza );
    else
      demolisci = MEM[torre+1][altezza];
    
    return C[torre]+demolisci; 
  }
  
}

int main(int argc, char **argv){
  
  ifstream in("input.txt");
  in >> N;
  for(int i=0;i<N;i++)
    in >> H[N-1-i] >> C[N-1-i];
  in.close();

  // Inizializzo la tabella per la memoizzazione
  for(int i=0;i<MAX_N;i++)
    for(int j=0;j<MAX_N;j++)
      MEM[i][j] = UNDEF;

  ofstream out("output.txt");
  if(N==1)
    out << "0\n";
  else
    out << solve(0,0) << "\n";
  out.close();

  return 0;
}
